## python-lsp-black 1.1.0

=== Makefile ===
lint:
	pre-commit run -a

black:
	pre-commit run -a black

flake8:
	pre-commit run -a flake8

isort:
	pre-commit run -a isort

mypy:
	pre-commit run -a mypy

test:
	pytest -v .

build: lint test
	python3 setup.py sdist bdist_wheel

test-upload:
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

upload:
	twine upload dist/*

clean:
	rm -rf dist

.PHONY: build

=== debian/changelog ===
python-lsp-black (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 03 Feb 2022 11:21:10 +0100

python-lsp-black (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 04 Dec 2021 08:53:37 +0100

python-lsp-black (1.0.0-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 15:03:51 +0200

python-lsp-black (1.0.0-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * Remove Otto from uploaders

  [ Jochen Sprickerhof ]
  * Switch to python-lsp fork
  * New upstream version 1.0.0
  * Update copyright
  * Rebase patch
  * Rename binary package

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Sep 2021 23:14:14 +0200

pyls-black (0.4.6-3) unstable; urgency=medium

  * Fix Build-Depends

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Feb 2021 09:19:34 +0000

pyls-black (0.4.6-2) unstable; urgency=medium

  * Switch to dh-sequence-python3

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Feb 2021 06:34:54 +0000

pyls-black (0.4.6-1) unstable; urgency=medium

  * Initial release (Closes: #979202)

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Jan 2021 17:31:23 +0000

=== debian/control ===
Source: python-lsp-black
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: black,
               debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pkg-resources <!nocheck>,
               python3-pylsp,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-toml
Standards-Version: 4.6.0
Homepage: https://github.com/python-lsp/python-lsp-black
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-black.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-black
Rules-Requires-Root: no

Package: python3-pylsp-black
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Black plugin for the Python Language Server
 This package provides a plugin to support the Black formatter in editors
 that support the Python Language Server.
 .
 It is recommended by the author to not have python3-yapf or python3-autopep8
 installed when using this plugin, as that might lead to unexpected results.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/python-lsp/python-lsp-black/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-lsp-black 1.2.1

=== debian/changelog ===
python-lsp-black (1.2.1-2) unstable; urgency=medium

  * Fix long changelog line
  * Enable autopkgtest-pkg-pybuild
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 07:58:29 +0100

python-lsp-black (1.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * New upstream version 1.2.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Apr 2022 07:25:16 +0200

python-lsp-black (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 09:40:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends: black,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               python3-all,
+               python3,
                python3-pkg-resources <!nocheck>,
                python3-pylsp,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-toml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/python-lsp/python-lsp-black
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-black.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-black
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pylsp-black
 Architecture: all

## python-lsp-black 1.3.0

=== debian/changelog ===
python-lsp-black (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Drop python3-toml BD
  * Bump policy version (no changes)
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Jun 2023 18:43:31 +0200

## python-lsp-black 2.0.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	pre-commit run -a mypy
 
 test:
-	pytest -v .
+	pytest -vv .
 
 build: lint test
 	python3 setup.py sdist bdist_wheel

=== debian/changelog ===
python-lsp-black (2.0.0-5) unstable; urgency=medium

  * Deprecate pkg_resources package (closes: #1083660)

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 20:44:43 +0000

python-lsp-black (2.0.0-4) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Re-enable test_load_config_defaults and test_load_config_with_skip_options
    by cherry-picking pull/56 from upstream

  [ Julian Gilbey ]
  * Make package work with newer black (24.4.0)
  * Bump standards version (no changes required)

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Apr 2024 17:49:55 +0100

python-lsp-black (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Temporarily test_load_config_defaults and
    test_load_config_with_skip_options (closes: #1064266)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 19 Feb 2024 20:23:59 +0100

python-lsp-black (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Drop d/patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Feb 2024 13:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>,
            Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: black,
+Build-Depends: black (>= 24.4.0),
                debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
-               python3-pkg-resources <!nocheck>,
                python3-pylsp,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-toml
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/python-lsp/python-lsp-black
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-black.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-black
@@ -22,7 +20,8 @@
 
 Package: python3-pylsp-black
 Architecture: all
-Depends: ${misc:Depends},
+Depends: black (>= 24.4.0),
+         ${misc:Depends},
          ${python3:Depends}
 Description: Black plugin for the Python Language Server
  This package provides a plugin to support the Black formatter in editors

=== debian/rules ===
#!/usr/bin/make -f

# Post-install only
export PYBUILD_TEST_ARGS = -k "not test_entry_point and not test_pylsp_settings"

%:
	dh $@ --buildsystem=pybuild
